/// <reference types="react" />
export declare const styled: <Type extends import("@stitches/react/types/util").Function | keyof JSX.IntrinsicElements | import("react").ComponentType<any>, Composers extends (string | import("@stitches/react/types/util").Function | import("react").ComponentType<any> | {
    [name: string]: unknown;
})[], CSS = import("@stitches/react/types/css-util").CSS<{
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, {
    zIndices: unknown;
    radius: {
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
    };
    space: {
        base: string;
        none: string;
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
        huge: string;
        extra: string;
        field: string;
    };
    primary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    secondary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    maroon: {
        10: string;
        100: string;
        200: string;
        300: string;
    };
    accent: {
        scarlet: string;
        navy: string;
        yellow: string;
        peach: string;
        rose: string;
        pink: string;
        sky: string;
    };
    tone: {
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    color: {
        'primary-300': string;
        'primary-200': string;
        'primary-100': string;
        'primary-10': string;
        'primary-20': string;
        'primary-30': string;
        'primary-40': string;
        'primary-50': string;
        'primary-60': string;
        'primary-70': string;
        'primary-80': string;
        'primary-90': string;
        'secondary-300': string;
        'secondary-200': string;
        'secondary-100': string;
        'secondary-10': string;
        'secondary-20': string;
        'secondary-30': string;
        'secondary-40': string;
        'secondary-50': string;
        'secondary-60': string;
        'secondary-70': string;
        'secondary-80': string;
        'secondary-90': string;
        'maroon-10': string;
        'maroon-100': string;
        'maroon-200': string;
        'maroon-300': string;
        'accent-scarlet': string;
        'accent-navy': string;
        'accent-yellow': string;
        'accent-peach': string;
        'accent-rose': string;
        'accent-pink': string;
        'accent-sky': string;
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    dark: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'dark-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    light: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'light-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
    };
    size: {
        'display-1': string;
        'display-2': string;
        'display-3': string;
        'heading-1': string;
        'heading-2': string;
        'heading-3': string;
        'heading-4': string;
        'heading-5': string;
        'heading-6': string;
        xlarge: string;
        large: string;
        medium: string;
        small: string;
        'caption-1': string;
        'caption-2': string;
    };
    weight: {
        100: number;
        200: number;
        300: number;
        400: number;
        500: number;
        600: number;
        700: number;
        800: number;
        900: number;
    };
    gutter: {
        'small-phone': number;
        phone: number;
        tablet: number;
        desktop: number;
    };
    'page-width': {
        default: string;
        small: string;
        xsmall: string;
        limit: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>(type: Type, ...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | import("@stitches/react/types/util").Function | import("react").ComponentType<any> ? Composers[K] : import("@stitches/react/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : never : import("@stitches/react/types/util").WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : never : import("@stitches/react/types/util").WideObject) | undefined;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => import("@stitches/react/types/styled-component").StyledComponent<Type, import("@stitches/react/types/styled-component").StyledComponentProps<Composers>, {
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, import("@stitches/react/types/css-util").CSS<{
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, {
    zIndices: unknown;
    radius: {
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
    };
    space: {
        base: string;
        none: string;
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
        huge: string;
        extra: string;
        field: string;
    };
    primary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    secondary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    maroon: {
        10: string;
        100: string;
        200: string;
        300: string;
    };
    accent: {
        scarlet: string;
        navy: string;
        yellow: string;
        peach: string;
        rose: string;
        pink: string;
        sky: string;
    };
    tone: {
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    color: {
        'primary-300': string;
        'primary-200': string;
        'primary-100': string;
        'primary-10': string;
        'primary-20': string;
        'primary-30': string;
        'primary-40': string;
        'primary-50': string;
        'primary-60': string;
        'primary-70': string;
        'primary-80': string;
        'primary-90': string;
        'secondary-300': string;
        'secondary-200': string;
        'secondary-100': string;
        'secondary-10': string;
        'secondary-20': string;
        'secondary-30': string;
        'secondary-40': string;
        'secondary-50': string;
        'secondary-60': string;
        'secondary-70': string;
        'secondary-80': string;
        'secondary-90': string;
        'maroon-10': string;
        'maroon-100': string;
        'maroon-200': string;
        'maroon-300': string;
        'accent-scarlet': string;
        'accent-navy': string;
        'accent-yellow': string;
        'accent-peach': string;
        'accent-rose': string;
        'accent-pink': string;
        'accent-sky': string;
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    dark: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'dark-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    light: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'light-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
    };
    size: {
        'display-1': string;
        'display-2': string;
        'display-3': string;
        'heading-1': string;
        'heading-2': string;
        'heading-3': string;
        'heading-4': string;
        'heading-5': string;
        'heading-6': string;
        xlarge: string;
        large: string;
        medium: string;
        small: string;
        'caption-1': string;
        'caption-2': string;
    };
    weight: {
        100: number;
        200: number;
        300: number;
        400: number;
        500: number;
        600: number;
        700: number;
        800: number;
        900: number;
    };
    gutter: {
        'small-phone': number;
        phone: number;
        tablet: number;
        desktop: number;
    };
    'page-width': {
        default: string;
        small: string;
        xsmall: string;
        limit: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>, css: <Composers extends (string | import("@stitches/react/types/util").Function | import("react").JSXElementConstructor<any> | import("react").ExoticComponent<any> | {
    [name: string]: unknown;
})[], CSS = import("@stitches/react/types/css-util").CSS<{
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, {
    zIndices: unknown;
    radius: {
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
    };
    space: {
        base: string;
        none: string;
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
        huge: string;
        extra: string;
        field: string;
    };
    primary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    secondary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    maroon: {
        10: string;
        100: string;
        200: string;
        300: string;
    };
    accent: {
        scarlet: string;
        navy: string;
        yellow: string;
        peach: string;
        rose: string;
        pink: string;
        sky: string;
    };
    tone: {
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    color: {
        'primary-300': string;
        'primary-200': string;
        'primary-100': string;
        'primary-10': string;
        'primary-20': string;
        'primary-30': string;
        'primary-40': string;
        'primary-50': string;
        'primary-60': string;
        'primary-70': string;
        'primary-80': string;
        'primary-90': string;
        'secondary-300': string;
        'secondary-200': string;
        'secondary-100': string;
        'secondary-10': string;
        'secondary-20': string;
        'secondary-30': string;
        'secondary-40': string;
        'secondary-50': string;
        'secondary-60': string;
        'secondary-70': string;
        'secondary-80': string;
        'secondary-90': string;
        'maroon-10': string;
        'maroon-100': string;
        'maroon-200': string;
        'maroon-300': string;
        'accent-scarlet': string;
        'accent-navy': string;
        'accent-yellow': string;
        'accent-peach': string;
        'accent-rose': string;
        'accent-pink': string;
        'accent-sky': string;
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    dark: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'dark-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    light: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'light-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
    };
    size: {
        'display-1': string;
        'display-2': string;
        'display-3': string;
        'heading-1': string;
        'heading-2': string;
        'heading-3': string;
        'heading-4': string;
        'heading-5': string;
        'heading-6': string;
        xlarge: string;
        large: string;
        medium: string;
        small: string;
        'caption-1': string;
        'caption-2': string;
    };
    weight: {
        100: number;
        200: number;
        300: number;
        400: number;
        500: number;
        600: number;
        700: number;
        800: number;
        900: number;
    };
    gutter: {
        'small-phone': number;
        phone: number;
        tablet: number;
        desktop: number;
    };
    'page-width': {
        default: string;
        small: string;
        xsmall: string;
        limit: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | import("@stitches/react/types/util").Function | import("react").JSXElementConstructor<any> | import("react").ExoticComponent<any> ? Composers[K] : import("@stitches/react/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : never : import("@stitches/react/types/util").WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : never : import("@stitches/react/types/util").WideObject) | undefined;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => import("@stitches/react/types/styled-component").CssComponent<import("@stitches/react/types/styled-component").StyledComponentType<Composers>, import("@stitches/react/types/styled-component").StyledComponentProps<Composers>, {
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, CSS>, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/react/types/css").AtRule.FontFace | import("@stitches/react/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/react/types/css-util").CSS<{
        'only-phone': "(420px <= width < 720px)";
        'max-phone': "(width < 420px)";
        phone: "(420px <= width)";
        'only-tablet': "(720px <= width < 1024px)";
        'max-tablet': "(width < 720px)";
        tablet: "(720px <= width)";
        'only-landscape-tablet': "(840px <= width < 1024px)";
        'max-landscape-tablet': "(width < 840px)";
        'landscape-tablet': "(840px <= width)";
        'only-desktop': "(1024px <= width < 1536px)";
        'max-desktop': "(width < 1024px)";
        desktop: "(1024px <= width)";
        'max-wide': "(width < 1536px)";
        wide: "(1536px <= width)";
    }, {
        zIndices: unknown;
        radius: {
            xxs: string;
            xs: string;
            s: string;
            sm: string;
            m: string;
            ml: string;
            l: string;
            xl: string;
            xxl: string;
            xxxl: string;
        };
        space: {
            base: string;
            none: string;
            xxs: string;
            xs: string;
            s: string;
            sm: string;
            m: string;
            ml: string;
            l: string;
            xl: string;
            xxl: string;
            xxxl: string;
            huge: string;
            extra: string;
            field: string;
        };
        primary: {
            300: string;
            200: string;
            100: string;
            10: string;
            20: string;
            30: string;
            40: string;
            50: string;
            60: string;
            70: string;
            80: string;
            90: string;
        };
        secondary: {
            300: string;
            200: string;
            100: string;
            10: string;
            20: string;
            30: string;
            40: string;
            50: string;
            60: string;
            70: string;
            80: string;
            90: string;
        };
        maroon: {
            10: string;
            100: string;
            200: string;
            300: string;
        };
        accent: {
            scarlet: string;
            navy: string;
            yellow: string;
            peach: string;
            rose: string;
            pink: string;
            sky: string;
        };
        tone: {
            'critical-10': string;
            'critical-100': string;
            'critical-200': string;
            'critical-300': string;
            'warning-10': string;
            'warning-100': string;
            'warning-200': string;
            'warning-300': string;
            'positive-100': string;
            'positive-200': string;
            'positive-300': string;
        };
        color: {
            'primary-300': string;
            'primary-200': string;
            'primary-100': string;
            'primary-10': string;
            'primary-20': string;
            'primary-30': string;
            'primary-40': string;
            'primary-50': string;
            'primary-60': string;
            'primary-70': string;
            'primary-80': string;
            'primary-90': string;
            'secondary-300': string;
            'secondary-200': string;
            'secondary-100': string;
            'secondary-10': string;
            'secondary-20': string;
            'secondary-30': string;
            'secondary-40': string;
            'secondary-50': string;
            'secondary-60': string;
            'secondary-70': string;
            'secondary-80': string;
            'secondary-90': string;
            'maroon-10': string;
            'maroon-100': string;
            'maroon-200': string;
            'maroon-300': string;
            'accent-scarlet': string;
            'accent-navy': string;
            'accent-yellow': string;
            'accent-peach': string;
            'accent-rose': string;
            'accent-pink': string;
            'accent-sky': string;
            'critical-10': string;
            'critical-100': string;
            'critical-200': string;
            'critical-300': string;
            'warning-10': string;
            'warning-100': string;
            'warning-200': string;
            'warning-300': string;
            'positive-100': string;
            'positive-200': string;
            'positive-300': string;
        };
        dark: {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        'dark-hex': {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        light: {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        'light-hex': {
            100: string;
            90: string;
            80: string;
            70: string;
        };
        size: {
            'display-1': string;
            'display-2': string;
            'display-3': string;
            'heading-1': string;
            'heading-2': string;
            'heading-3': string;
            'heading-4': string;
            'heading-5': string;
            'heading-6': string;
            xlarge: string;
            large: string;
            medium: string;
            small: string;
            'caption-1': string;
            'caption-2': string;
        };
        weight: {
            100: number;
            200: number;
            300: number;
            400: number;
            500: number;
            600: number;
            700: number;
            800: number;
            900: number;
        };
        gutter: {
            'small-phone': number;
            phone: number;
            tablet: number;
            desktop: number;
        };
        'page-width': {
            default: string;
            small: string;
            xsmall: string;
            limit: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? import("@stitches/react/types/css").AtRule.Property : import("@stitches/react/types/css-util").CSS<{
    'only-phone': "(420px <= width < 720px)";
    'max-phone': "(width < 420px)";
    phone: "(420px <= width)";
    'only-tablet': "(720px <= width < 1024px)";
    'max-tablet': "(width < 720px)";
    tablet: "(720px <= width)";
    'only-landscape-tablet': "(840px <= width < 1024px)";
    'max-landscape-tablet': "(width < 840px)";
    'landscape-tablet': "(840px <= width)";
    'only-desktop': "(1024px <= width < 1536px)";
    'max-desktop': "(width < 1024px)";
    desktop: "(1024px <= width)";
    'max-wide': "(width < 1536px)";
    wide: "(1536px <= width)";
}, {
    zIndices: unknown;
    radius: {
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
    };
    space: {
        base: string;
        none: string;
        xxs: string;
        xs: string;
        s: string;
        sm: string;
        m: string;
        ml: string;
        l: string;
        xl: string;
        xxl: string;
        xxxl: string;
        huge: string;
        extra: string;
        field: string;
    };
    primary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    secondary: {
        300: string;
        200: string;
        100: string;
        10: string;
        20: string;
        30: string;
        40: string;
        50: string;
        60: string;
        70: string;
        80: string;
        90: string;
    };
    maroon: {
        10: string;
        100: string;
        200: string;
        300: string;
    };
    accent: {
        scarlet: string;
        navy: string;
        yellow: string;
        peach: string;
        rose: string;
        pink: string;
        sky: string;
    };
    tone: {
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    color: {
        'primary-300': string;
        'primary-200': string;
        'primary-100': string;
        'primary-10': string;
        'primary-20': string;
        'primary-30': string;
        'primary-40': string;
        'primary-50': string;
        'primary-60': string;
        'primary-70': string;
        'primary-80': string;
        'primary-90': string;
        'secondary-300': string;
        'secondary-200': string;
        'secondary-100': string;
        'secondary-10': string;
        'secondary-20': string;
        'secondary-30': string;
        'secondary-40': string;
        'secondary-50': string;
        'secondary-60': string;
        'secondary-70': string;
        'secondary-80': string;
        'secondary-90': string;
        'maroon-10': string;
        'maroon-100': string;
        'maroon-200': string;
        'maroon-300': string;
        'accent-scarlet': string;
        'accent-navy': string;
        'accent-yellow': string;
        'accent-peach': string;
        'accent-rose': string;
        'accent-pink': string;
        'accent-sky': string;
        'critical-10': string;
        'critical-100': string;
        'critical-200': string;
        'critical-300': string;
        'warning-10': string;
        'warning-100': string;
        'warning-200': string;
        'warning-300': string;
        'positive-100': string;
        'positive-200': string;
        'positive-300': string;
    };
    dark: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'dark-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    light: {
        100: string;
        90: string;
        80: string;
        70: string;
        60: string;
        50: string;
        40: string;
        30: string;
        20: string;
        10: string;
        '05': string;
    };
    'light-hex': {
        100: string;
        90: string;
        80: string;
        70: string;
    };
    size: {
        'display-1': string;
        'display-2': string;
        'display-3': string;
        'heading-1': string;
        'heading-2': string;
        'heading-3': string;
        'heading-4': string;
        'heading-5': string;
        'heading-6': string;
        xlarge: string;
        large: string;
        medium: string;
        small: string;
        'caption-1': string;
        'caption-2': string;
    };
    weight: {
        100: number;
        200: number;
        300: number;
        400: number;
        500: number;
        600: number;
        700: number;
        800: number;
        900: number;
    };
    gutter: {
        'small-phone': number;
        phone: number;
        tablet: number;
        desktop: number;
    };
    'page-width': {
        default: string;
        small: string;
        xsmall: string;
        limit: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/react/types/css-util").CSS<{
        'only-phone': "(420px <= width < 720px)";
        'max-phone': "(width < 420px)";
        phone: "(420px <= width)";
        'only-tablet': "(720px <= width < 1024px)";
        'max-tablet': "(width < 720px)";
        tablet: "(720px <= width)";
        'only-landscape-tablet': "(840px <= width < 1024px)";
        'max-landscape-tablet': "(width < 840px)";
        'landscape-tablet': "(840px <= width)";
        'only-desktop': "(1024px <= width < 1536px)";
        'max-desktop': "(width < 1024px)";
        desktop: "(1024px <= width)";
        'max-wide': "(width < 1536px)";
        wide: "(1536px <= width)";
    }, {
        zIndices: unknown;
        radius: {
            xxs: string;
            xs: string;
            s: string;
            sm: string;
            m: string;
            ml: string;
            l: string;
            xl: string;
            xxl: string;
            xxxl: string;
        };
        space: {
            base: string;
            none: string;
            xxs: string;
            xs: string;
            s: string;
            sm: string;
            m: string;
            ml: string;
            l: string;
            xl: string;
            xxl: string;
            xxxl: string;
            huge: string;
            extra: string;
            field: string;
        };
        primary: {
            300: string;
            200: string;
            100: string;
            10: string;
            20: string;
            30: string;
            40: string;
            50: string;
            60: string;
            70: string;
            80: string;
            90: string;
        };
        secondary: {
            300: string;
            200: string;
            100: string;
            10: string;
            20: string;
            30: string;
            40: string;
            50: string;
            60: string;
            70: string;
            80: string;
            90: string;
        };
        maroon: {
            10: string;
            100: string;
            200: string;
            300: string;
        };
        accent: {
            scarlet: string;
            navy: string;
            yellow: string;
            peach: string;
            rose: string;
            pink: string;
            sky: string;
        };
        tone: {
            'critical-10': string;
            'critical-100': string;
            'critical-200': string;
            'critical-300': string;
            'warning-10': string;
            'warning-100': string;
            'warning-200': string;
            'warning-300': string;
            'positive-100': string;
            'positive-200': string;
            'positive-300': string;
        };
        color: {
            'primary-300': string;
            'primary-200': string;
            'primary-100': string;
            'primary-10': string;
            'primary-20': string;
            'primary-30': string;
            'primary-40': string;
            'primary-50': string;
            'primary-60': string;
            'primary-70': string;
            'primary-80': string;
            'primary-90': string;
            'secondary-300': string;
            'secondary-200': string;
            'secondary-100': string;
            'secondary-10': string;
            'secondary-20': string;
            'secondary-30': string;
            'secondary-40': string;
            'secondary-50': string;
            'secondary-60': string;
            'secondary-70': string;
            'secondary-80': string;
            'secondary-90': string;
            'maroon-10': string;
            'maroon-100': string;
            'maroon-200': string;
            'maroon-300': string;
            'accent-scarlet': string;
            'accent-navy': string;
            'accent-yellow': string;
            'accent-peach': string;
            'accent-rose': string;
            'accent-pink': string;
            'accent-sky': string;
            'critical-10': string;
            'critical-100': string;
            'critical-200': string;
            'critical-300': string;
            'warning-10': string;
            'warning-100': string;
            'warning-200': string;
            'warning-300': string;
            'positive-100': string;
            'positive-200': string;
            'positive-300': string;
        };
        dark: {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        'dark-hex': {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        light: {
            100: string;
            90: string;
            80: string;
            70: string;
            60: string;
            50: string;
            40: string;
            30: string;
            20: string;
            10: string;
            '05': string;
        };
        'light-hex': {
            100: string;
            90: string;
            80: string;
            70: string;
        };
        size: {
            'display-1': string;
            'display-2': string;
            'display-3': string;
            'heading-1': string;
            'heading-2': string;
            'heading-3': string;
            'heading-4': string;
            'heading-5': string;
            'heading-6': string;
            xlarge: string;
            large: string;
            medium: string;
            small: string;
            'caption-1': string;
            'caption-2': string;
        };
        weight: {
            100: number;
            200: number;
            300: number;
            400: number;
            500: number;
            600: number;
            700: number;
            800: number;
            900: number;
        };
        gutter: {
            'small-phone': number;
            phone: number;
            tablet: number;
            desktop: number;
        };
        'page-width': {
            default: string;
            small: string;
            xsmall: string;
            limit: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
}, getCssText: () => string, theme: string & {
    className: string;
    selector: string;
} & {
    zIndices: {};
    radius: {
        xxs: import("@stitches/react/types/theme").Token<"xxs", string, "radius", "tenka">;
        xs: import("@stitches/react/types/theme").Token<"xs", string, "radius", "tenka">;
        s: import("@stitches/react/types/theme").Token<"s", string, "radius", "tenka">;
        sm: import("@stitches/react/types/theme").Token<"sm", string, "radius", "tenka">;
        m: import("@stitches/react/types/theme").Token<"m", string, "radius", "tenka">;
        ml: import("@stitches/react/types/theme").Token<"ml", string, "radius", "tenka">;
        l: import("@stitches/react/types/theme").Token<"l", string, "radius", "tenka">;
        xl: import("@stitches/react/types/theme").Token<"xl", string, "radius", "tenka">;
        xxl: import("@stitches/react/types/theme").Token<"xxl", string, "radius", "tenka">;
        xxxl: import("@stitches/react/types/theme").Token<"xxxl", string, "radius", "tenka">;
    };
    space: {
        base: import("@stitches/react/types/theme").Token<"base", string, "space", "tenka">;
        none: import("@stitches/react/types/theme").Token<"none", string, "space", "tenka">;
        xxs: import("@stitches/react/types/theme").Token<"xxs", string, "space", "tenka">;
        xs: import("@stitches/react/types/theme").Token<"xs", string, "space", "tenka">;
        s: import("@stitches/react/types/theme").Token<"s", string, "space", "tenka">;
        sm: import("@stitches/react/types/theme").Token<"sm", string, "space", "tenka">;
        m: import("@stitches/react/types/theme").Token<"m", string, "space", "tenka">;
        ml: import("@stitches/react/types/theme").Token<"ml", string, "space", "tenka">;
        l: import("@stitches/react/types/theme").Token<"l", string, "space", "tenka">;
        xl: import("@stitches/react/types/theme").Token<"xl", string, "space", "tenka">;
        xxl: import("@stitches/react/types/theme").Token<"xxl", string, "space", "tenka">;
        xxxl: import("@stitches/react/types/theme").Token<"xxxl", string, "space", "tenka">;
        huge: import("@stitches/react/types/theme").Token<"huge", string, "space", "tenka">;
        extra: import("@stitches/react/types/theme").Token<"extra", string, "space", "tenka">;
        field: import("@stitches/react/types/theme").Token<"field", string, "space", "tenka">;
    };
    primary: {
        300: import("@stitches/react/types/theme").Token<"300", string, "primary", "tenka">;
        200: import("@stitches/react/types/theme").Token<"200", string, "primary", "tenka">;
        100: import("@stitches/react/types/theme").Token<"100", string, "primary", "tenka">;
        10: import("@stitches/react/types/theme").Token<"10", string, "primary", "tenka">;
        20: import("@stitches/react/types/theme").Token<"20", string, "primary", "tenka">;
        30: import("@stitches/react/types/theme").Token<"30", string, "primary", "tenka">;
        40: import("@stitches/react/types/theme").Token<"40", string, "primary", "tenka">;
        50: import("@stitches/react/types/theme").Token<"50", string, "primary", "tenka">;
        60: import("@stitches/react/types/theme").Token<"60", string, "primary", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "primary", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "primary", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "primary", "tenka">;
    };
    secondary: {
        300: import("@stitches/react/types/theme").Token<"300", string, "secondary", "tenka">;
        200: import("@stitches/react/types/theme").Token<"200", string, "secondary", "tenka">;
        100: import("@stitches/react/types/theme").Token<"100", string, "secondary", "tenka">;
        10: import("@stitches/react/types/theme").Token<"10", string, "secondary", "tenka">;
        20: import("@stitches/react/types/theme").Token<"20", string, "secondary", "tenka">;
        30: import("@stitches/react/types/theme").Token<"30", string, "secondary", "tenka">;
        40: import("@stitches/react/types/theme").Token<"40", string, "secondary", "tenka">;
        50: import("@stitches/react/types/theme").Token<"50", string, "secondary", "tenka">;
        60: import("@stitches/react/types/theme").Token<"60", string, "secondary", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "secondary", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "secondary", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "secondary", "tenka">;
    };
    maroon: {
        10: import("@stitches/react/types/theme").Token<"10", string, "maroon", "tenka">;
        100: import("@stitches/react/types/theme").Token<"100", string, "maroon", "tenka">;
        200: import("@stitches/react/types/theme").Token<"200", string, "maroon", "tenka">;
        300: import("@stitches/react/types/theme").Token<"300", string, "maroon", "tenka">;
    };
    accent: {
        scarlet: import("@stitches/react/types/theme").Token<"scarlet", string, "accent", "tenka">;
        navy: import("@stitches/react/types/theme").Token<"navy", string, "accent", "tenka">;
        yellow: import("@stitches/react/types/theme").Token<"yellow", string, "accent", "tenka">;
        peach: import("@stitches/react/types/theme").Token<"peach", string, "accent", "tenka">;
        rose: import("@stitches/react/types/theme").Token<"rose", string, "accent", "tenka">;
        pink: import("@stitches/react/types/theme").Token<"pink", string, "accent", "tenka">;
        sky: import("@stitches/react/types/theme").Token<"sky", string, "accent", "tenka">;
    };
    tone: {
        'critical-10': import("@stitches/react/types/theme").Token<"critical-10", string, "tone", "tenka">;
        'critical-100': import("@stitches/react/types/theme").Token<"critical-100", string, "tone", "tenka">;
        'critical-200': import("@stitches/react/types/theme").Token<"critical-200", string, "tone", "tenka">;
        'critical-300': import("@stitches/react/types/theme").Token<"critical-300", string, "tone", "tenka">;
        'warning-10': import("@stitches/react/types/theme").Token<"warning-10", string, "tone", "tenka">;
        'warning-100': import("@stitches/react/types/theme").Token<"warning-100", string, "tone", "tenka">;
        'warning-200': import("@stitches/react/types/theme").Token<"warning-200", string, "tone", "tenka">;
        'warning-300': import("@stitches/react/types/theme").Token<"warning-300", string, "tone", "tenka">;
        'positive-100': import("@stitches/react/types/theme").Token<"positive-100", string, "tone", "tenka">;
        'positive-200': import("@stitches/react/types/theme").Token<"positive-200", string, "tone", "tenka">;
        'positive-300': import("@stitches/react/types/theme").Token<"positive-300", string, "tone", "tenka">;
    };
    color: {
        'primary-300': import("@stitches/react/types/theme").Token<"primary-300", string, "color", "tenka">;
        'primary-200': import("@stitches/react/types/theme").Token<"primary-200", string, "color", "tenka">;
        'primary-100': import("@stitches/react/types/theme").Token<"primary-100", string, "color", "tenka">;
        'primary-10': import("@stitches/react/types/theme").Token<"primary-10", string, "color", "tenka">;
        'primary-20': import("@stitches/react/types/theme").Token<"primary-20", string, "color", "tenka">;
        'primary-30': import("@stitches/react/types/theme").Token<"primary-30", string, "color", "tenka">;
        'primary-40': import("@stitches/react/types/theme").Token<"primary-40", string, "color", "tenka">;
        'primary-50': import("@stitches/react/types/theme").Token<"primary-50", string, "color", "tenka">;
        'primary-60': import("@stitches/react/types/theme").Token<"primary-60", string, "color", "tenka">;
        'primary-70': import("@stitches/react/types/theme").Token<"primary-70", string, "color", "tenka">;
        'primary-80': import("@stitches/react/types/theme").Token<"primary-80", string, "color", "tenka">;
        'primary-90': import("@stitches/react/types/theme").Token<"primary-90", string, "color", "tenka">;
        'secondary-300': import("@stitches/react/types/theme").Token<"secondary-300", string, "color", "tenka">;
        'secondary-200': import("@stitches/react/types/theme").Token<"secondary-200", string, "color", "tenka">;
        'secondary-100': import("@stitches/react/types/theme").Token<"secondary-100", string, "color", "tenka">;
        'secondary-10': import("@stitches/react/types/theme").Token<"secondary-10", string, "color", "tenka">;
        'secondary-20': import("@stitches/react/types/theme").Token<"secondary-20", string, "color", "tenka">;
        'secondary-30': import("@stitches/react/types/theme").Token<"secondary-30", string, "color", "tenka">;
        'secondary-40': import("@stitches/react/types/theme").Token<"secondary-40", string, "color", "tenka">;
        'secondary-50': import("@stitches/react/types/theme").Token<"secondary-50", string, "color", "tenka">;
        'secondary-60': import("@stitches/react/types/theme").Token<"secondary-60", string, "color", "tenka">;
        'secondary-70': import("@stitches/react/types/theme").Token<"secondary-70", string, "color", "tenka">;
        'secondary-80': import("@stitches/react/types/theme").Token<"secondary-80", string, "color", "tenka">;
        'secondary-90': import("@stitches/react/types/theme").Token<"secondary-90", string, "color", "tenka">;
        'maroon-10': import("@stitches/react/types/theme").Token<"maroon-10", string, "color", "tenka">;
        'maroon-100': import("@stitches/react/types/theme").Token<"maroon-100", string, "color", "tenka">;
        'maroon-200': import("@stitches/react/types/theme").Token<"maroon-200", string, "color", "tenka">;
        'maroon-300': import("@stitches/react/types/theme").Token<"maroon-300", string, "color", "tenka">;
        'accent-scarlet': import("@stitches/react/types/theme").Token<"accent-scarlet", string, "color", "tenka">;
        'accent-navy': import("@stitches/react/types/theme").Token<"accent-navy", string, "color", "tenka">;
        'accent-yellow': import("@stitches/react/types/theme").Token<"accent-yellow", string, "color", "tenka">;
        'accent-peach': import("@stitches/react/types/theme").Token<"accent-peach", string, "color", "tenka">;
        'accent-rose': import("@stitches/react/types/theme").Token<"accent-rose", string, "color", "tenka">;
        'accent-pink': import("@stitches/react/types/theme").Token<"accent-pink", string, "color", "tenka">;
        'accent-sky': import("@stitches/react/types/theme").Token<"accent-sky", string, "color", "tenka">;
        'critical-10': import("@stitches/react/types/theme").Token<"critical-10", string, "color", "tenka">;
        'critical-100': import("@stitches/react/types/theme").Token<"critical-100", string, "color", "tenka">;
        'critical-200': import("@stitches/react/types/theme").Token<"critical-200", string, "color", "tenka">;
        'critical-300': import("@stitches/react/types/theme").Token<"critical-300", string, "color", "tenka">;
        'warning-10': import("@stitches/react/types/theme").Token<"warning-10", string, "color", "tenka">;
        'warning-100': import("@stitches/react/types/theme").Token<"warning-100", string, "color", "tenka">;
        'warning-200': import("@stitches/react/types/theme").Token<"warning-200", string, "color", "tenka">;
        'warning-300': import("@stitches/react/types/theme").Token<"warning-300", string, "color", "tenka">;
        'positive-100': import("@stitches/react/types/theme").Token<"positive-100", string, "color", "tenka">;
        'positive-200': import("@stitches/react/types/theme").Token<"positive-200", string, "color", "tenka">;
        'positive-300': import("@stitches/react/types/theme").Token<"positive-300", string, "color", "tenka">;
    };
    dark: {
        100: import("@stitches/react/types/theme").Token<"100", string, "dark", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "dark", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "dark", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "dark", "tenka">;
        60: import("@stitches/react/types/theme").Token<"60", string, "dark", "tenka">;
        50: import("@stitches/react/types/theme").Token<"50", string, "dark", "tenka">;
        40: import("@stitches/react/types/theme").Token<"40", string, "dark", "tenka">;
        30: import("@stitches/react/types/theme").Token<"30", string, "dark", "tenka">;
        20: import("@stitches/react/types/theme").Token<"20", string, "dark", "tenka">;
        10: import("@stitches/react/types/theme").Token<"10", string, "dark", "tenka">;
        '05': import("@stitches/react/types/theme").Token<"05", string, "dark", "tenka">;
    };
    'dark-hex': {
        100: import("@stitches/react/types/theme").Token<"100", string, "dark-hex", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "dark-hex", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "dark-hex", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "dark-hex", "tenka">;
        60: import("@stitches/react/types/theme").Token<"60", string, "dark-hex", "tenka">;
        50: import("@stitches/react/types/theme").Token<"50", string, "dark-hex", "tenka">;
        40: import("@stitches/react/types/theme").Token<"40", string, "dark-hex", "tenka">;
        30: import("@stitches/react/types/theme").Token<"30", string, "dark-hex", "tenka">;
        20: import("@stitches/react/types/theme").Token<"20", string, "dark-hex", "tenka">;
        10: import("@stitches/react/types/theme").Token<"10", string, "dark-hex", "tenka">;
        '05': import("@stitches/react/types/theme").Token<"05", string, "dark-hex", "tenka">;
    };
    light: {
        100: import("@stitches/react/types/theme").Token<"100", string, "light", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "light", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "light", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "light", "tenka">;
        60: import("@stitches/react/types/theme").Token<"60", string, "light", "tenka">;
        50: import("@stitches/react/types/theme").Token<"50", string, "light", "tenka">;
        40: import("@stitches/react/types/theme").Token<"40", string, "light", "tenka">;
        30: import("@stitches/react/types/theme").Token<"30", string, "light", "tenka">;
        20: import("@stitches/react/types/theme").Token<"20", string, "light", "tenka">;
        10: import("@stitches/react/types/theme").Token<"10", string, "light", "tenka">;
        '05': import("@stitches/react/types/theme").Token<"05", string, "light", "tenka">;
    };
    'light-hex': {
        100: import("@stitches/react/types/theme").Token<"100", string, "light-hex", "tenka">;
        90: import("@stitches/react/types/theme").Token<"90", string, "light-hex", "tenka">;
        80: import("@stitches/react/types/theme").Token<"80", string, "light-hex", "tenka">;
        70: import("@stitches/react/types/theme").Token<"70", string, "light-hex", "tenka">;
    };
    size: {
        'display-1': import("@stitches/react/types/theme").Token<"display-1", string, "size", "tenka">;
        'display-2': import("@stitches/react/types/theme").Token<"display-2", string, "size", "tenka">;
        'display-3': import("@stitches/react/types/theme").Token<"display-3", string, "size", "tenka">;
        'heading-1': import("@stitches/react/types/theme").Token<"heading-1", string, "size", "tenka">;
        'heading-2': import("@stitches/react/types/theme").Token<"heading-2", string, "size", "tenka">;
        'heading-3': import("@stitches/react/types/theme").Token<"heading-3", string, "size", "tenka">;
        'heading-4': import("@stitches/react/types/theme").Token<"heading-4", string, "size", "tenka">;
        'heading-5': import("@stitches/react/types/theme").Token<"heading-5", string, "size", "tenka">;
        'heading-6': import("@stitches/react/types/theme").Token<"heading-6", string, "size", "tenka">;
        xlarge: import("@stitches/react/types/theme").Token<"xlarge", string, "size", "tenka">;
        large: import("@stitches/react/types/theme").Token<"large", string, "size", "tenka">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "size", "tenka">;
        small: import("@stitches/react/types/theme").Token<"small", string, "size", "tenka">;
        'caption-1': import("@stitches/react/types/theme").Token<"caption-1", string, "size", "tenka">;
        'caption-2': import("@stitches/react/types/theme").Token<"caption-2", string, "size", "tenka">;
    };
    weight: {
        100: import("@stitches/react/types/theme").Token<"100", string, "weight", "tenka">;
        200: import("@stitches/react/types/theme").Token<"200", string, "weight", "tenka">;
        300: import("@stitches/react/types/theme").Token<"300", string, "weight", "tenka">;
        400: import("@stitches/react/types/theme").Token<"400", string, "weight", "tenka">;
        500: import("@stitches/react/types/theme").Token<"500", string, "weight", "tenka">;
        600: import("@stitches/react/types/theme").Token<"600", string, "weight", "tenka">;
        700: import("@stitches/react/types/theme").Token<"700", string, "weight", "tenka">;
        800: import("@stitches/react/types/theme").Token<"800", string, "weight", "tenka">;
        900: import("@stitches/react/types/theme").Token<"900", string, "weight", "tenka">;
    };
    gutter: {
        'small-phone': import("@stitches/react/types/theme").Token<"small-phone", string, "gutter", "tenka">;
        phone: import("@stitches/react/types/theme").Token<"phone", string, "gutter", "tenka">;
        tablet: import("@stitches/react/types/theme").Token<"tablet", string, "gutter", "tenka">;
        desktop: import("@stitches/react/types/theme").Token<"desktop", string, "gutter", "tenka">;
    };
    'page-width': {
        default: import("@stitches/react/types/theme").Token<"default", string, "page-width", "tenka">;
        small: import("@stitches/react/types/theme").Token<"small", string, "page-width", "tenka">;
        xsmall: import("@stitches/react/types/theme").Token<"xsmall", string, "page-width", "tenka">;
        limit: import("@stitches/react/types/theme").Token<"limit", string, "page-width", "tenka">;
    };
};
